/**
 * @file iap_cipher.h
 * @brief CycloneBOOT IAP image decoding handling
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.0.2
 **/

#ifndef _IAP_CIPHER_H
#define _IAP_CIPHER_H

//Dependencies
#include "iap/iap.h"

//CycloneBOOT IAP cipher related functions
error_t iapCipherInit(ImageContext *context);
error_t iapCipherDecodeData(ImageContext *context, uint8_t *data, size_t length);
error_t iapCipherEncodeData(ImageContext *context, uint8_t *data, size_t length);

#endif // !_IAP_CIPHER_H
