/**
 * @file iap_misc.h
 * @brief CycloneBOOT IAP Miscellaneous Functions API
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.0.2
 **/

#ifndef _IAP_MISC_H
#define _IAP_MISC_H

//Dependancies
#include "iap/iap.h"
#include "core/image.h"

//CycloneBOOT IAP miscellaneous related functions
error_t iapInitPrimaryMemory(IapSettings *settings, IapContext *context);
error_t iapInitSecondaryMemory(IapSettings *settings, IapContext *context);
error_t iapInitInputImage(IapSettings *settings, IapContext *context);
error_t iapInitOutputImage(IapSettings *settings, IapContext *context);
error_t iapWrite(ImageContext *context, const uint8_t *data, size_t length, uint8_t flag);
error_t iapGetImageHeaderFromSlot(SlotDesc *slot, ImageHeader *header);

#endif // !_IAP_MISC_H
