/**
 * @file main.h
 * @brief Main routine
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.0.2
 **/

#ifndef _MAIN_H
#define _MAIN_H

//First Debug and Y-MODEM uart configuration
// - Debug trace retargeted on the Nucleo_H7A3ZI-Q USB VCOM port (USART3)
//      - 115200 baud, no parity, 1 stop bit
//      - USB CN1 connector (USART3 -> TX:PD8, RX:PD9)
// - Y-MODEM communication are done on Nucleo_H7A3ZI-Q Arduino UART port (USART2)
//      - 9600 baud, no parity, 1 stop bit
//      - USART CN9 connector (USART2 -> TX:PD5, RX:PD6) 
#define DEBUG_UART_CONFIG_1 1

//Second Debug and Y-MODEM uart configuration
// - //Debug trace retargeted on the Nucleo_H7A3ZI-Q Arduino UART port (USART2)
//      - 9600 baud, no parity, 1 stop bit
//      - USART CN9 connector (USART2 -> TX:PD5, RX:PD6) 
// - Y-MODEM communication are done on the Nucleo_H7A3ZI-Q USB VCOM port (USART3)
//      - 115200 baud, no parity, 1 stop bit
//      - USB CN1 connector (USART3 -> TX:PD8, RX:PD9)
#define DEBUG_UART_CONFIG_2 2

//Choose one of the above debug/ymodem uart configuration
#define DEBUG_CONFIG DEBUG_UART_CONFIG_2

//Uncomment one of the folliwng lines to select the app version
#define APP_DEMO_RED    //RED LED version -> v1.0.0
//#define APP_DEMO_GREEN    //GREEN LED version -> v2.0.0
//#define APP_DEMO_YELLOW    //YELLOW LED version -> v3.0.0

#endif //!_MAIN_H
